be.ehealth.businessconnector.addressbook.service

## Interface AddressbookTokenService

- All Known Implementing Classes:
    AddressbookTokenServiceImpl

      public interface AddressbookTokenService

  Interface for all Addressbook services Default impl : `be.ehealth.businessconnector.AddressbookSessionServiceImpl.service.impl.AddressbookTokenServiceImpl` Factory : `TokenServiceFactory`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `GetOrganizationContactInfoResponse` | `getOrganizationContactInfo(SAMLToken token, GetOrganizationContactInfoRequest request)`
    `GetProfessionalContactInfoResponse` | `getProfessionalContactInfo(SAMLToken token, GetProfessionalContactInfoRequest request)`
    `SearchOrganizationsResponse` | `searchOrganizations(SAMLToken token, SearchOrganizationsRequest request)`
    `SearchProfessionalsResponse` | `searchProfessionals(SAMLToken token, SearchProfessionalsRequest request)`

- - ### Method Detail

    - #### getOrganizationContactInfo

          GetOrganizationContactInfoResponse getOrganizationContactInfo(SAMLToken token,
                                                                        GetOrganizationContactInfoRequest request)
                                                                 throws TechnicalConnectorException

      Parameters:
        `token` -
        `request` -
      Returns:
      Throws:
        `TechnicalConnectorException`

    - #### getProfessionalContactInfo

          GetProfessionalContactInfoResponse getProfessionalContactInfo(SAMLToken token,
                                                                        GetProfessionalContactInfoRequest request)
                                                                 throws TechnicalConnectorException

      Parameters:
        `token` -
        `request` -
      Returns:
      Throws:
        `TechnicalConnectorException`

    - #### searchOrganizations

          SearchOrganizationsResponse searchOrganizations(SAMLToken token,
                                                          SearchOrganizationsRequest request)
                                                   throws TechnicalConnectorException

      Parameters:
        `token` -
        `request` -
      Returns:
      Throws:
        `TechnicalConnectorException`

    - #### searchProfessionals

          SearchProfessionalsResponse searchProfessionals(SAMLToken token,
                                                          SearchProfessionalsRequest request)
                                                   throws TechnicalConnectorException

      Parameters:
        `token` -
        `request` -
      Returns:
      Throws:
        `TechnicalConnectorException`

Connector Packaging PERSAUDIOLOGIST 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.